#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int brojevi[10];
vector<int> knjige;
int main() {
  int n;
  int a;
  cin>>n;

  for(int i=0;i<n;i++){
    cin>>a;
    knjige.push_back(a);
  }
  
  if(n==2){
    int prva = knjige[0];
    knjige[0]=knjige[1];
    knjige[1]= prva;
  }
  
  else{
    int tmp = 9;
    int swapnum;
    int index;
    bool notgood= true;
    for(int i = 0;i<n;i++){
      brojevi[knjige[i]]++;
      if(tmp<knjige[i]){
        notgood= false;
      }
      tmp= knjige[i];
    }
    if(notgood){
      swap(knjige[n-2],knjige[n-1]);
    }
    else{
    bool done = false;
    for(int i = 0;i<n;i++){
      int num= knjige[i];
      brojevi[num]--;
      for(int j = 9;j>=0;j--){
        if(num>=j){
          break;
        }
        if(brojevi[j]>0){
          swapnum=j;
          index = i;
          done = true;
          break;
        }
      if(done){
        break;
      }

      }
    }
    int index2;
    for(int i =n-1;i>=0;i--){
      if(knjige[i]==swapnum){
        index2=i;
        break;
      }
    }
    swap(knjige[index],knjige[index2]);
  }

}
int sz = knjige.size();
for(int i=0; i < sz; i++)
  {
    cout << knjige[i] << ' ';
  }
return 0;
}